| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# IG::Num::FieldCollection2d< TField, TElement > Class Template Reference

Collection of structured 2D fields of the same type. Fields are identified by their names. In principle, contained fields can be of different dimensions. More...

Inheritance diagram for IG::Num::FieldCollection2d< TField, TElement >:
[legend]
Collaboration diagram for IG::Num::FieldCollection2d< TField, TElement >:
[legend]

List of all members.

## Public Member Functions
| FieldCollection2d ()
| Constructor.
override TField | CreateField (int numElements, string name, string description)
| Call to this method is invalid for the current type. Call the method with three dimensions instead.
virtual TField | CreateField (int dim1, int dim2, string fieldName, string fieldDescription)
| Creates a new 2D structured field of specified dimensions and with specified name and description.
override void | AddField (int numElements, string fieldName, string fieldDescription)
| >Call to this method is invalid for the current type. Call the method with three dimensions instead.
void | AddField (int dim1, int dim2, string fieldName, string fieldDescription)
| Creates a new field with specified dimensions and name and description, and adds it to the current collection.

## Detailed Description

### template<TField, TElement>
class IG::Num::FieldCollection2d< TField, TElement >

Collection of structured 2D fields of the same type. Fields are identified by their names.

In principle, contained fields can be of different dimensions.

Template Parameters:

  TField | Type of fields contained in the collection. Must be a 2D structured field (StructuredField2d<TElement>).
  TElement | Type of elements of the fields that can be contained in the collection.

Completely generic definition was introduced in 2009. Before that, several types were used for specific field collections. $A Igor Apr09;

Type Constraints

  TField | : | StructuredField2d<TElement> |
  TField | : | new() |

## Member Function Documentation

template<TField , TElement >

IG::Num::FieldCollection2d< TField, TElement >::FieldCollection2d | ( |  | ) | `[inline]`

Constructor.

template<TField , TElement >

override TField IG::Num::FieldCollection2d< TField, TElement >::CreateField | ( | int | numElements,
|  | string | name,
|  | string | description
| ) |  | `[inline, virtual]`

Call to this method is invalid for the current type. Call the method with three dimensions instead.

Reimplemented from IG::Num::FieldCollection< TField, TElement >.

template<TField , TElement >

virtual TField IG::Num::FieldCollection2d< TField, TElement >::CreateField | ( | int | dim1,
|  | int | dim2,
|  | string | fieldName,
|  | string | fieldDescription
| ) |  | `[inline, virtual]`

Creates a new 2D structured field of specified dimensions and with specified name and description.

Parameters:

  dim1 | First dimension of the field (number of grid nodes in the first direction).
  dim2 | Second dimension of the field (number of grid nodes in the second direction).
  fieldName | Name of the created field (can be null).
  fieldDescription | Description of the created field (can be null).

template<TField , TElement >

override void IG::Num::FieldCollection2d< TField, TElement >::AddField | ( | int | numElements,
|  | string | fieldName,
|  | string | fieldDescription
| ) |  | `[inline, virtual]`

>Call to this method is invalid for the current type. Call the method with three dimensions instead.

Reimplemented from IG::Num::FieldCollection< TField, TElement >.

template<TField , TElement >

void IG::Num::FieldCollection2d< TField, TElement >::AddField | ( | int | dim1,
|  | int | dim2,
|  | string | fieldName,
|  | string | fieldDescription
| ) |  | `[inline]`

Creates a new field with specified dimensions and name and description, and adds it to the current collection.

Parameters:

  dim1 | First dimension of the field (number of grid nodes in the first direction).
  dim2 | Second dimension of the field (number of grid nodes in the second direction).
  fieldName | Name of the created field (normally it shouldn't be null though this is legal).
  fieldDescription | Description of the created field (can be null).

The documentation for this class was generated from the following file:

- FieldCollectionGeneric.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events